@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxygen&display=swap');

::-webkit-scrollbar {
    width: 12px;
    height: 12px;
}

::-webkit-scrollbar-thumb {
    background-color: #c0c0c0;
    background-clip: padding-box;
    border: 0.05em solid #eeeeee;
    border-radius: 15px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #a0a0a0;
}

::-webkit-scrollbar-track {
    background-color: unset;
}

::-webkit-scrollbar-corner { 
    border-radius: 15px;
}

body {
    font-family: 'Oxygen', sans-serif;
	background: #fdfdfd;
}

input.rounded {
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #aaa;
    padding: 4px 5px;
	flex: 1 1 auto;
}

input.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

input.rounded:disabled {
    background: #ebebe4;
}

select.rounded {
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #aaa;
    padding: 4px 5px;
	flex: 1 1 auto;
}

textarea.rounded {
    border-radius: 5px;
    padding: 4px 5px;
    border-style: solid;
    border-width: 1px;
    border-color: rgb(169, 169, 169);
}

textarea.rounded:disabled {
    background: #ebebe4;
}

textarea.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

.logo {
	display: flex;
	align-items: center;
	text-transform: uppercase;
	font-weight: bold;
}

.menu {
	display: flex;
	background: #fff;
	border-bottom: 1px solid #eee;
	padding: 0px 70px;
	justify-content: space-between;
}

.menu_item_container {
	display: flex;
}

.menu_item {
	display: flex;
	padding: 20px;
    border-bottom: 2px solid #fff;
    text-transform: uppercase;
	margin-right: 10px;
	cursor: pointer;
}

.menu_item:hover {
	border-color: #666;
}

.menu_item.selected {
	border-color: #2b2;
}

.menu_item.selected:hover {
	border-color: #2b2;
}

.menu_item.disabled {
	color: #ccc;
	cursor: unset;
	pointer-events: none;
}

.menu_item.disabled:hover {
	border-color: #fff;
}

.main {
	display: flex;
	flex: 1 1 auto;
	flex-direction: column;
	overflow: hidden;
}

.edit_upload_list .button_row {
	justify-content: flex-end !important;
	margin-left: unset !important;
	margin-bottom: unset !important;
}

.edit_upload_list_content {
	display: flex;
	flex-direction: column;
}

.edit_upload_list_content_items {
	display: flex;
	flex-direction: column;
	max-height: 400px;
	overflow-y: auto;
	gap: 6px;
}

.edit_upload_list_content_items > div {
	border-bottom: 1px solid #eee;
}

.choose_import_drag_drop {
    display: flex;
    min-height: 70px;
    min-width: 400px;
}

.choose_import_dropzone {
    border: #ccc 3px dashed;
    border-radius: 8px;
    color: #bbb;
    background: #fafafa;
    align-items: center;
    justify-content: center;
    display: flex;
	flex: 1 1 auto;
	min-height: 100px;
}

.choose_import_button_file_picker {
    visibility: collapse;
    height: 0;
}

.content_container {
	flex: 1 1 auto;
	display: flex;
	flex-direction: column;
	overflow: hidden;
	padding: 0px 60px;
	margin-top: 30px;
}

.content {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	overflow: hidden;
	border-radius: 8px;
	margin-bottom: 10px;
}

.nav-menu {
	display: flex;
}

.nav-menu > div {
	margin: 5px;
	padding: 5px;
	border: 1px solid #fff;
	border-radius: 4px;
}

.nav-menu > div:hover {
	border-color: #ccc;
	background-color: #eee;
	cursor: pointer;
}

.nav-menu > .selected {
	margin: 5px;
	padding: 5px;
	border-color: #eee;
	border-radius: 4px;
	color: #fff;
	background: #000;
}

.nav-menu > .selected:hover {
	border-color: #ccc;
	background-color: #000;
	cursor: unset;
}

.spin_loader_group {
    display: flex;
    font-weight: bold;
    justify-content: center;
    align-items: center;
    height: 30px;
}

.spin_loader_group > div {
    margin-right: 4px;
}

.spin_loader {
    border: 4px solid #c9c9c9;
    border-top: 4px solid #386479; 
    border-radius: 50%;
    min-width: 8px;
    min-height: 8px;
    width: 8px;
    height: 8px;
    animation: spin 1500ms ease-in-out infinite;
}

.loader {
	position: relative;
  	width: 75px;
  	height: 100px;
}

.loader_bar {
	position: absolute;
    bottom: 0;
    width: 10px;
    height: 50%;
    background: #000;
    transform-origin: center bottom;
    box-shadow: 1px 1px 0 rgba(0,0,0,.2);
}

.loader_bar:nth-child(1) {
	left: 0px;
    transform: scale(1, .2);
    animation: barUp1 4s infinite;
}

.loader_bar:nth-child(2) {
	left: 15px;
    transform: scale(1, .4);
    animation: barUp2 4s infinite;
}

.loader_bar:nth-child(3) {
	left: 30px;
    transform: scale(1, .6);
    animation: barUp3 4s infinite;
}

.loader_bar:nth-child(4) {
	left: 45px;
    transform: scale(1, .8);
    animation: barUp4 4s infinite;
}

.loader_bar:nth-child(5) {
	left: 60px;
    transform: scale(1, 1);
    animation: barUp5 4s infinite;
}

.loader_ball {
	position: absolute;
    bottom: 10px;
    left: 0;
    width: 10px;
    height: 10px;
    background: rgb(255, 153, 0);
    border-radius: 50%;
    animation: ball 4s infinite;
}

@keyframes ball {
	0% {
	  transform: translate(0, 0);
	}
	5% {
	  transform: translate(8px, -14px);
	}
	10% {
	  transform: translate(15px, -10px)
	}
	17% {
	  transform: translate(23px, -24px)
	}
	20% {
	  transform: translate(30px, -20px)
	}
	27% {
	  transform: translate(38px, -34px)
	}
	30% {
	  transform: translate(45px, -30px)
	}
	37% {
	  transform: translate(53px, -44px)
	}
	40% {
	  transform: translate(60px, -40px)
	}
	50% {
	  transform: translate(60px, 0)
	}
	57% {
	  transform: translate(53px, -14px)
	}
	60% {
	  transform: translate(45px, -10px)
	}
	67% {
	  transform: translate(37px, -24px)
	}
	70% {
	  transform: translate(30px, -20px)
	}
	77% {
	  transform: translate(22px, -34px)
	}
	80% {
	  transform: translate(15px, -30px)
	}
	87% {
	  transform: translate(7px, -44px)
	}
	90% {
	  transform: translate(0, -40px)
	}
	100% {
	  transform: translate(0, 0);
	}
  }
  
  @keyframes barUp1 { 
	0% {
	  transform: scale(1, .2);
	}
	40%{
	  transform: scale(1, .2);
	}
	50% {
	  transform: scale(1, 1);
	}
	90% {
	  transform: scale(1,1);
	}
	100% {
	  transform: scale(1,.2);
	}
  }
  @keyframes barUp2 { 
	0% {
	  transform: scale(1, .4);
	}
	40% {
	  transform: scale(1, .4);
	}
	50% {
	  transform: scale(1, .8);
	}
	90% {
	  transform: scale(1, .8);
	}
	100% {
	  transform: scale(1, .4);
	}
  }
  @keyframes barUp3 { 
	0% {
	  transform: scale(1, .6);
	}
	100% {
	  transform: scale(1, .6);
	}
  }
  @keyframes barUp4 { 
	0% {
	  transform: scale(1, .8);
	}
	40% {
	  transform: scale(1, .8);
	}
	50% {
	  transform: scale(1, .4);
	}
	90% {
	  transform: scale(1, .4);
	}
	100% {
	  transform: scale(1, .8);
	}
  }
  @keyframes barUp5 { 
	0% {
	  transform: scale(1, 1);
	}
	40% {
	  transform: scale(1, 1);
	}
	50% {
	  transform: scale(1, .2);
	}
	90% {
	  transform: scale(1, .2);
	}
	100% {
	  transform: scale(1, 1);
	}
  }

.dropdown {
	position: relative;
	display: inline-block;
}

.dropdown > .dropdown-content {
	top: unset;
}

.dropdown-content {
	position: absolute;
	background-color: #eee;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 1;
	max-height: 200px;
	overflow-y: auto;
	top: 30px;
}

.dropdown-content > div {
	cursor: pointer;
	padding: 4px;
}

.dropdown-content > div.title {
	cursor: unset;
	font-weight: bold;
	font-size: smaller;
	padding: 0px;
	padding-left: 4px;
	background-color: #ccc;
}

.dropdown-content > div:hover {
	background-color: #ccc;
}

.dropdown-item > div:nth-child(1) {
	font-weight: 500;
	font-size: smaller;
}

.button {
	display: flex;
	align-items: center;
	padding: 8px 16px;
	border-radius: 4px;
	background: #eee;
	white-space: nowrap;
	user-select: none;
}

.button:hover {
	cursor: pointer;
	background: #ddd;
}

.button_disabled {
	color: #999;
	background: #e6e6e6;
	pointer-events: none;
}

.button_row {
	margin-top: 4px;
	margin-bottom: 4px;
	display: flex;
	justify-content: flex-end;
	align-items: flex-start;
}

.button_row > div {
	margin-left: 4px;
}

.button_list {
	display: flex;
	align-items: center;
}

.button_list > div {
	margin-right: 5px;
}

.save {
	background: #2b2;
	color: #fff;
}

.save:hover {
	background: #292;
	color: #fff;
}

.save.button.button_disabled {
	color: #bbb;
	background: inherit;
}

.remove {
	background: #b22;
	color: #fff;
}

.remove:hover {
	background: #922;
	color: #fff;
}

.remove.button.button_disabled {
	color: #bbb;
	background: inherit;
}

.edit {
	background: #bbb;
}

.search {
	margin-bottom: 4px;
	display: flex;
	position: relative;
}

.search > textarea {
	width: 100%;
	height: 62px;
}

.items {
	display: flex;
	flex: 1 1 auto;
}

.items > div {
	display: flex;
	flex-direction: column;
	flex: 1 1 50%;
}

.selected-items {
	display: flex;
	flex-wrap: wrap;
}

.selected-items > div {
	margin: 5px;
	margin-left: 0px;
	background: #cec;
	padding: 6px;
	border-radius: 6px;
	border: 2px solid #aca;
	cursor: pointer;
}

.selected-items > div:hover {
	border-color: #333;
}

.suggested-items {
	display: flex;
	flex-wrap: wrap;
}

.suggested-items > div {
	margin: 5px;
	margin-left: 0px;
	background: #cce;
	padding: 6px;
	border-radius: 6px;
	border: 2px solid #aac;
	cursor: pointer;
}

.suggested-items > div:hover {
	border-color: #333;
}

.annotation_container {
	display: flex;
	flex-direction: column;
	overflow: hidden;
	flex: 1 1 auto;	
}

.annotation_container .button_row {
	justify-content: space-between;
	margin-bottom: 20px;
	margin-left: 10px;
	margin-right: 10px;
}

.annotation_main {
	display: flex;
	flex: 1 1 auto;
	overflow: hidden;
}

.annotation_result {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	overflow: hidden;
	padding: 4px;
	border-radius: 8px;	
}

.annotation_process_label {
    display: flex;
    align-items: center;
	height: 36px;
}

.loading {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	justify-content: center;
}

.loading > div {
	display: flex;
	justify-content: center;
	text-align: center;
	font-family: system-ui;
	font-weight: bold;
}

.group {
    background: #fff;
	padding: 20px;
	margin: 10px;
	border-radius: 20px;
	box-shadow: 0px 0px 10px #0002;
	padding-top: 0px;
}

.annotation_margin {
	margin-right: 10px;
	margin-left: 10px;
}

.annotation_filter {
	display: flex;
	flex-direction: column;
	row-gap: 10px;
	margin-bottom: 20px;
}

.annotation_filter > div:nth-child(1) {
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-size: 12px;
}

.annotation_meta > input,
.annotation_filter > input {
	border-width: 1px;
    border-style: solid;
    border-color: #ddd;
    border-radius: 4px;
    padding: 8px;
}

.annotation_filter > input:focus {
	outline: none;
}

.annotation_types {
	display: flex;
	flex-direction: column;
	flex-basis: 70%;
	min-height: 0;
}

.annotation_metas {
	display: flex;
	flex-direction: column;
	flex-basis: 30%;
	min-height: 0;
}

.annotation_meta_list {
	overflow-y: auto;
	display: flex;
	flex-direction: column;
	overflow-x: hidden;
}

.annotation_meta {
	display: flex;
	margin-bottom: 5px;
}

.annotation_meta :first-child {
	margin-right: 5px;
}

.annotation_list {
	display: flex;
	flex: 1 1 auto;
    flex-direction: column;
    column-gap: 5px;
    row-gap: 5px;
	align-content: flex-start;
	overflow-y: auto;
}

.annotation_type_category {
	padding: 5px 10px;
    background: #aaa;
    border-radius: 4px;
	margin-bottom: 5px;
	font-size: 13px;
}

.annotation_type {
	display: flex;
	align-items: center;
	padding: 5px 10px;
	border-radius: 4px; 
	cursor: pointer;
	background: #ddd;
	white-space: nowrap;
}

.annotation_type:hover {
	background: #ccc;
}

:is(.annotation_type,.annotation_type_category) > span {
	font-weight: bold;
	font-size: small;
	max-width: 450px;
	text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.annotation_type > div {
	display: flex;
	align-items: center;
	justify-content: center;
	margin-left: 4px;
	font-weight: bold;
	font-size: x-small;
	border: 1px solid rgb(255, 153, 0);
	border-radius: 50%;
	width: 25px;
	height: 25px;
}

.annotation_type.selected {
	background: #444;
	color: #fff;
	border-color: #000;	
}

.annotation_text {
	white-space: pre;
	overflow-y: auto;
	flex: 1 1 auto;
}

.annotation_annotation {
	overflow-y: auto;
	border-left: 1px solid #888;
}

.annotation_annotation > div {
	padding: 2px;
}

.annotation_annotation > div:hover {
	background: #eee;
	cursor: pointer;
}

.annotation_annotation > div.selected {
	background: #ddd;
}

.annotation_tag {
	display: inline-flex;
	cursor: pointer;
	padding: 2px 5px;
	border-radius: 10px;
}

.annotation_no_highlight {
	background: #d9d9d9 !important;
	border-color: #d9d9d9 !important;
}

.edit_overlay {
	display: flex;
	position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
	background: #0009;
	justify-content: center;
}

.edit_dialog {
	display: flex;
	flex: 1 1 auto;
	align-items: center;
	justify-content: center;
}

.edit_dialog > div {
	display: flex;
	border-radius: 4px;
	background: #fff;
	padding: 20px;
	min-width: 60%;
	max-height: 90%;
	max-width: 90%;
	overflow: auto;
	column-gap: 10px;
}

.edit_dialog > div > div:first-child {
	flex-grow: 1;
}

.edit_dialog .title {
	font-size: 26px;
	font-weight: bold;
	margin-bottom: 20px;
}

.edit_dialog .button_row {
	margin-top: 20px;
}

.dialog_content {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.dialog_group {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	border-radius: 4px;
	background: #eee;
	padding: 10px;
	min-width: 250px;
}

.dialog_group .title {
	font-size: 18px;
	margin-bottom: 10px;
}

.latest_connections {
	margin-bottom: 10px;
}

.latest_connections:hover {
	cursor: pointer;
	background: #ddd;
}

.latest_connections > div:nth-child(1) {
	text-overflow: ellipsis;
	overflow: hidden;
	max-width: 400px;
	white-space: nowrap;
}

.latest_connections > div:nth-child(2) {
	font-size: small;
}

.latest_connections > div:nth-child(3) {
	font-size: x-small;
}

.connection_group {
	display: flex;
	flex-direction: column;
	column-gap: 10px;
}

.connection_group > div {
	border-bottom: 2px solid #ddd;
	padding: 10px 0px;
}

.connection_group > div:last-child {
	border-bottom: unset;
}

.annotation_field {
	display: flex;
	justify-content: space-between;
	margin-bottom: 5px;
}

.annotation_field > div:first-child {
	font-weight: 500;
	min-width: 150px;
}

.input_holder {
	display: flex;
}

.page_container {
	display: flex;
    justify-content: center;
    margin-top: 5px;
	font-size: 14px;
	font-family: 'curier';
}

.page_container > div {
	margin-right: 5px;
	cursor: pointer;
}

.page_container > div.selected {
	font-weight: bold;
	text-decoration: underline;
	cursor: unset;
}

.choose_file_group {
	overflow: hidden;
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
}

.choose_file_column_headers {
	display: flex;
	margin-right: 12px;
	font-weight: bold;
	margin-bottom: 6px;
}

.choose_file_column > div {
	overflow: hidden;
    width: 100%;
    margin-right: 10px;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.choose_file_column > div:nth-child(2) {
	width: 150px;
}

.choose_file_list {
	display: flex;
	flex: 1 1 auto;
	flex-direction: column;
	gap: 6px;
	overflow-y: auto;
}

.choose_file_list > div {
	display: flex;
	cursor: pointer;
	border-radius: 4px;
	border-bottom: 1px solid #eee;
}

.choose_file_list > div:hover {
	background-color: #ddd;
}

.choose_file_content {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	overflow: hidden;
}

.choose_file_content .button_row {
	justify-content: flex-start;
	margin-left: 10px;
	margin-bottom: 20px;
}

.new_container {
	display: flex;
	column-gap: 20px;
}

.new_container > div {
	flex: 1 1 0px;
}

.new_container textarea {
	min-height: 150px;
}

.annotation_side {
	display: flex;
	flex-direction: column;
	flex: 0 0 auto;
}

.meta_dialog {
	flex-direction: column;
}

.meta_remove {
	cursor: pointer;
    height: 32px;
    width: 32px;
    position: relative;
}

.meta_remove:after {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    content: "\274c";
    font-size: 16px; 
    color: #FFF;
    line-height: 32px;
    text-align: center;
}

.settings_keybindings {
	display: flex;
	flex-direction: column;
    margin-top: 20px;
    row-gap: 4px;
}

.settings_keybindings_description {
    margin: 0px 12px;
}

.settings_keybinding {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.settings_keybinding:hover {
	cursor: pointer;
	background: #f0f0f0;
}

.settings_keybinding > div:nth-child(2) {
    display: flex;
    align-items: center;
}

.settings_keybinding_key {
    display: flex;
    width: 30px;
    height: 30px;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    margin-left: 5px;
    background: #53cd48;
    cursor: pointer;
    text-transform: uppercase;
}

.settings_keybinding_key:focus {
    background: #fff;
    border: 2px solid;
    box-sizing: border-box;
}

.import_xlsx {
    display: flex;
	flex-direction: column;
}

.import_xlsx_sub_title {
	font-weight: bold;
	margin-top: 10px;
}

.import_xlsx_rows {
	display: flex;
	flex-direction: column;
	row-gap: 4px;
	margin-top: 10px;
}

.import_xlsx_rows > div {
	display: flex;
}

.import_xlsx_column_id {
	min-width: 12px;
}

.import_xlsx_rows > div select {
	margin-right: 10px;
	margin-left: 10px;
	min-width: 120px;
}

.import_complete {
	display: flex;
    justify-content: center;
    margin-top: 20px;
}

@keyframes error_enter {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

.app_error_content {
    position: absolute;
    top: 0px;
	bottom: 0px;
	left: 0px;
	right: 0px;
    display: flex;
    flex-direction: column-reverse;
    pointer-events: none;
}

.app_error_list {
    display: flex;
    flex-direction: column;
    align-self: center;
    align-items: center;
}

.app_error_inactive {
    opacity: 0 !important;
}

.app_error_list > div {
    display: flex;
    background: #111;
    color: #f33;
    min-width: 200px;
    padding: 5px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 5px;
    margin-bottom: 5px;
    justify-content: center;
    box-shadow: 0px 5px 10px #0009;
    transition: all 300ms ease-out;
    animation: error_enter 300ms ease-in;
}

.save_indicator_content {
    position: absolute;
	left: 50%;
	right: 50%;
    display: flex;
    flex-direction: column;
    pointer-events: none;
}

.save_indicator {
    display: flex;
    background: #111;
    color: #fff;
    min-width: 200px;
    padding: 5px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 5px;
    align-self: center;
    align-items: center;
    justify-content: center;
    margin-top: -150px;
    column-gap: 10px;
    box-shadow: 0px 5px 10px #0009;
    transition: all 300ms ease-out;
}

.save_enter_margin {
    margin-top: -95px !important;
}

.loading_indicator {
    border: 4px solid #fff;
    border-top: 4px solid #22bb22; 
    border-radius: 50%;
    min-width: 8px;
    min-height: 8px;
    width: 8px;
    height: 8px;
    animation: spin 1500ms ease-in-out infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@media (max-height: 550px) {
	.content_container {
		margin-top: 10px;
	}
	
	.content {
		margin-bottom: 0px;
	}

	.annotation_container .button_row {
		margin-bottom: 0px;
	}
}